// Array aller Kategorien die gerade angezeigt werden
var arrShowArts = new Array();

// Array aller Artikel die gerade angezeigt werden
var arrShowCats = new Array();

//Array aller BIlder von Kategorien die gerade angezeigt werden
var arrShowIMG = new Array();

// Die letzte Kategorie ID
var lastCatId = '';

/**
 * Versteckt wieder alle Kategorien die gerade angezeigt
 * werden. Dies sind alle Elemente im Array arrShowCats.
 */
function hideCats() {
	for (var i=0; i<arrShowCats.length; i++) {
		arrShowCats[i].style.display = 'none';
	}
	arrShowCats = new Array();
}

/**
 * Versteckt wieder alle Artikel die gerade angezeigt
 * werden. Dies sind alle Elemente im Array arrShowArts.
 */

function hideArts() {
	for (var i=0; i<arrShowArts.length; i++) {
		arrShowArts[i].style.display = 'none';
	}
	arrShowArts = new Array();
}
/**
 * Versteckt wieder alle Bilder von Kategorien die gerade angezeigt
 * werden. Dies sind alle Elemente im Array arrShowIMG.
 */
function hideIMG() {
	for (var i=0; i<arrShowIMG.length; i++) {
		arrShowIMG[i].style.display = 'none';
	}
	arrShowIMG = new Array();
}

/**
 *
 */
function showGroup(id) {
	lastCatId = id;
	
	// Verstecke alle Kategorien und Artikel
	hideCats();
	hideArts();
	hideIMG();
	
	// Zeige Elemente
	var arrElems = getElementsById("span", id);
	for (var i=0; i<arrElems.length; i++) {
		arrElems[i].style.display = 'block';
		arrShowCats.push(arrElems[i]);
	}
	var arrIMG = getElementsById("img", id);
	for (var i=0; i<arrIMG.length; i++) {
		arrIMG[i].style.display = 'block';
		arrShowIMG.push(arrIMG[i]);
	}
	
}

/**
 * 
 * @return
 */
function showLastCat() {
	showGroup(lastCatId);
}

/**
 *
 */
function showArticle(id) {
	// Verstecke alle Kategorien und Artikel
	hideCats();
	hideArts();
	
	// Zeige Elemente
	var arrElems = getElementsById("span", id);
	for (var i=0; i<arrElems.length; i++) {
		arrElems[i].style.display = 'block';
		arrShowArts.push(arrElems[i]);
	}
}

/**
 * Ermittelt alle Elemente mit dem uebergebenen Tagtypen (sTagType),
 * wenn deren id mit der gesuchten uebereinstimmt, wird das gefundene
 * Element in dem Rueckgabearray gespeichert. Zum Schluss wird der
 * Array mit den gefundenen Elementen zurueckgegeben.
 */
function getElementsById(sTagType, id) {
	var arrElems = document.getElementsByTagName(sTagType);
	var arrRetElems = new Array();

	for (var i=0; i<arrElems.length; i++) {
		var elem = arrElems[i];
		if (elem.id == id) {
			arrRetElems.push(elem);
		}
	}
	return arrRetElems;
}

/**
 *
 */
function getElementsByClass(sTagType, sClassName) {
	var arrElems = document.getElementsByTagName(sTagType);
	var arrRetElems = new Array();
	
	for (var i=0; i<arrElems.length; i++) {
		var elem = arrElems[i];
		if (elem.className == sClassName) {
			arrRetElems.push(elem);
		}
	}
	return arrRetElems;
}

/**
 *
 */
sfHover = function() {
	var sfEls = document.getElementById("nav").getElementsByTagName("LI");
	for (var i=0; i<sfEls.length; i++) {
		sfEls[i].onmouseover=function() {
			this.className+=" sfhover";
		}
		sfEls[i].onmouseout=function() {
			this.className=this.className.replace(new RegExp(" sfhover\\b"), "");
		}
	}
}
if (window.attachEvent) window.attachEvent("onload", sfHover);


/**
 *
 */
function loadLoader() {
	var loader = document.getElementById("loaderContainer");
	loader.style.display = 'block';
}


/**
 *
 */
function unloadLoader() {
	 var loader = document.getElementById("loaderContainer");
	loader.style.display = 'none';
}

 

/*Array fr die Artikel des Warenkorbs */

var arrProducts = new Array();

 

function addAmount(inputbox, prodid, prodname, price, currency) {
var amount = document.getElementById(inputbox).value;
var rprice=Math.round(price*100)/100;
var rpricezsum=Math.round(amount*price*100)/100;
var ausgabe = "\rAnzahl: " +amount+" Stk. | Artikelnummer: "+prodid+" | Bezeichnung: "+prodname +" | Einzelpreis: "+rprice +" "+currency+" | Summe: " +rpricezsum+" "+currency; 


var myDiv1 = document.getElementById("Warenkorb");
myDiv1.appendChild(document.createElement("br"));
myDiv1.appendChild(document.createElement("hr"));
myDiv1.appendChild(document.createTextNode(ausgabe));

/*alert(arrProducts.length);*/
arrProducts.push(ausgabe);

}

function removeElementsfromWK() {
  var myWK = document.getElementById("Warenkorb");
  var childNodeArray = document.getElementById("Warenkorb").childNodes;
  
 /* alert(childNodeArray.length);  */
  
  for (var i=3; i<childNodeArray.length; i+1) {
		myWK.removeChild(childNodeArray[i]);
    }

arrProducts.length = 0;

}
function sendWK() {
var to="info@sepia.de";
var wk = "";
	for (var i=0; i<arrProducts.length; i++) {
			wk = wk + arrProducts[i];
		}
     /*alert(wk); */

	 location.href = "mailto:"+to+"?subject=Bestellung&body=" + wk;
	 
	
   }


  
 
 
 